r3.colors(1)

NAME
r3.colors - Creates/modifies the color table associated with a 3D raster map.

KEYWORDS
raster3d, color table

SYNOPSIS
r3.colors
r3.colors --help
r3.colors [-rwlngae] [map=name[,name,...]] [file=name] [color=style] [raster=name] [raster_3d=name] [rules=name] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-r
    Remove existing color table

-w
    Only write new color table if it does not already exist

-l
    List available rules then exit

-n
    Invert colors

-g
    Logarithmic scaling

-a
    Logarithmic-absolute scaling

-e
    Histogram equalization

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

map=name[,name,...]
    Name of 3D raster map(s)

file=name
    Input file with one map name per line
    Input map names can be defined in an input file in case a large amount of maps must be specified. This option is mutual exclusive to the map option.

color=style
    Name of color table
    Options: aspect, aspectcolr, bcyr, bgyr, blues, byg, byr, celsius, corine, curvature, differences, elevation, etopo2, evi, fahrenheit, gdd, greens, grey, grey.eq, grey.log, grey1.0, grey255, gyr, haxby, kelvin, ndvi, ndwi, oranges, population, population_dens, precipitation, precipitation_daily, precipitation_monthly, rainbow, ramp, random, reds, rstcurv, ryb, ryg, sepia, slope, srtm, srtm_plus, terrain, wave
    aspect: aspect oriented grey colors
    aspectcolr: aspect oriented rainbow colors
    bcyr: blue through cyan through yellow to red
    bgyr: blue through green through yellow to red
    blues: white to blue
    byg: blue through yellow to green
    byr: blue through yellow to red
    celsius: blue to red for degree Celsius temperature
    corine: EU Corine land cover colors
    curvature: for terrain curvatures (from v.surf.rst and r.slope.aspect)
    differences: differences oriented colors
    elevation: maps relative ranges of raster values to elevation color ramp
    etopo2: colors for ETOPO2 worldwide bathymetry/topography
    evi: enhanced vegetative index colors
    fahrenheit: blue to red for Fahrenheit temperature
    gdd: accumulated growing degree days
    greens: white to green
    grey: grey scale
    grey.eq: histogram-equalized grey scale
    grey.log: histogram logarithmic transformed grey scale
    grey1.0: grey scale for raster values between 0.0-1.0
    grey255: grey scale for raster values between 0-255
    gyr: green through yellow to red
    haxby: relative colors for bathymetry or topography
    kelvin: blue to red for temperature in Kelvin scale
    ndvi: Normalized Difference Vegetation Index colors
    ndwi: Normalized Difference Water Index colors
    oranges: white to orange
    population: color table covering human population classification breaks
    population_dens: color table covering human population density classification breaks
    precipitation: precipitation color table (0..2000mm)
    precipitation_daily: precipitation color table (0..1000mm)
    precipitation_monthly: precipitation color table (0..1000mm)
    rainbow: rainbow color table
    ramp: color ramp
    random: random color table
    reds: white to red
    rstcurv: terrain curvature (from r.resamp.rst)
    ryb: red through yellow to blue
    ryg: red through yellow to green
    sepia: yellowish-brown through to white
    slope: r.slope.aspect-type slope colors for raster values 0-90
    srtm: color palette for Shuttle Radar Topography Mission elevation
    srtm_plus: color palette for Shuttle Radar Topography Mission elevation (with seafloor colors)
    terrain: global elevation color table covering -11000 to +8850m
    wave: color wave

raster=name
    Raster map from which to copy color table

raster_3d=name
    3D raster map from which to copy color table

rules=name
    Path to rules file
    "-" to read rules from stdin

DESCRIPTION
r3.colors has exactly the same functionality as r.colors but for 3D raster maps. Please refer to r.colors.

EXAMPLES

r3.colors map=volume_1 color=gyr

SEE ALSO
r.colors, r.colors.out, r3.colors.out, v.colors, v.colors.out

See also wiki page Color tables (from GRASS User Wiki)

ColorBrewer is an online tool designed to help people select good color schemes for maps and other graphics.

AUTHORS
Michael Shapiro and David Johnson
Support for 3D rasters by Soeren Gebbert

Last changed: $Date: 2014-12-09 19:46:50 +0100 (Tue, 09 Dec 2014) $

Main index | 3D raster index | Topics index | Keywords index | Full index

© 2003-2016 GRASS Development Team, GRASS GIS 7.0.5 Reference Manual